Пример #1
0
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddCurveParameter("Slices A", "A", "", GH_ParamAccess.tree);
            pManager.AddCurveParameter("Slices Z", "Z", "", GH_ParamAccess.tree);
            pManager.AddPlaneParameter("Section planes A", "PA", "", GH_ParamAccess.tree);
            pManager.AddPlaneParameter("Section planes Z", "PZ", "", GH_ParamAccess.tree);

            pManager[2].Locked = true;
            pManager[3].Locked = true;
        }
Пример #2
0
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curves", "C", "", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Plane", "P", "", GH_ParamAccess.item);

            pManager[1].Optional = true;
        }
Пример #3
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddMeshParameter("Mesh", "M", "Mesh of the model", GH_ParamAccess.item);
     pManager.AddNumberParameter("Thickness", "T", "Thickness of the parts", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "P", "Base plane", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Border", "B", "Overlapping of the layers", GH_ParamAccess.item, 0);
 }
Пример #4
0
 /// <summary>
 /// Registers all the output parameters for this component.
 /// </summary>
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddBrepParameter("Unrolled Breps", "UnrolledBreps", "Unrolled Breps", GH_ParamAccess.tree); //0
     pManager.AddPlaneParameter("Planes for Orientation", "OrientPlanes", "1st item origin plane, 2nd item target plane", GH_ParamAccess.tree); //1
     pManager.AddCurveParameter("Shared Curves", "SharedCrv", "Shared Curves between Stripes", GH_ParamAccess.tree); //2
     pManager.AddPointParameter("Points", "P", "Points unrolled with Brep", GH_ParamAccess.tree);//3
 }
Пример #5
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddMeshParameter("Mesh", "M", "Mesh of the model", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Planes", "P", "Section Planes", GH_ParamAccess.list);
     pManager.AddNumberParameter("Thickness", "T", "Thickness of the parts", GH_ParamAccess.item);
     pManager.AddNumberParameter("Deeper", "D", "Makes the slits deeper", GH_ParamAccess.item, 0.0);
 }
Пример #6
0
 /// <summary>
 /// Registers all the output parameters for this component.
 /// </summary>
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddIntegerParameter("PIndexBending", "PI12", "The particle index associated with the calculated moment", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "pl", "The bending plane", GH_ParamAccess.item);
     pManager.AddNumberParameter("BendingMoment", "M", "The bending moment [kNm]", GH_ParamAccess.item);
     pManager.AddNumberParameter("BendingStress", "stressB", "The bending stress [MPa]", GH_ParamAccess.item);
 }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Polyline", "Pl", "A list of polylines to offset", GH_ParamAccess.item);
       pManager.AddPointParameter("Point", "P", "Offset Distance", GH_ParamAccess.item);
       pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));
       pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
 }
Пример #8
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Location", "L", "Location and orientation of the text", GH_ParamAccess.item);
     pManager.AddTextParameter("Text", "T", "Text to display", GH_ParamAccess.item);
     pManager.AddNumberParameter("Size", "S", "Size of the text", GH_ParamAccess.item);
     pManager.AddBooleanParameter("Bold", "B", "True for bold font", GH_ParamAccess.item, false);
     pManager.AddIntegerParameter("Horizontal alignment", "H", "0=Center, 1=Left, 2=Right", GH_ParamAccess.item, 0);
     pManager.AddIntegerParameter("Vertical alignment", "V", "0=Center, 1=Top, 2=Bottom, 3=Baseline", GH_ParamAccess.item, 0);
 }
Пример #9
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddMeshParameter("Mesh", "M", "Mesh of the model", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Count X", "X", "Slices in x direction", GH_ParamAccess.item, 2);
     pManager.AddIntegerParameter("Count Y", "Y", "Slices in y direction", GH_ParamAccess.item, 2);
     pManager.AddNumberParameter("Thickness", "T", "Thickness of the parts", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "P", "Base Plane", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Deeper", "D", "Makes the slits deeper", GH_ParamAccess.item, 0);
     pManager.AddBooleanParameter("Project", "p", "Project slices to xy plane", GH_ParamAccess.item, false);
     pManager.AddNumberParameter("Distance", "d", "Minimal distance between projected slices", GH_ParamAccess.item, 1.0);
 }
Пример #10
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddGenericParameter("Topology", "Topo", "Unit cell topology", GH_ParamAccess.item);
     pManager.AddGeometryParameter("Design Space", "DS", "Design Space (Brep or Mesh)", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Orientation Plane", "Plane", "Lattice orientation plane", GH_ParamAccess.item, Plane.WorldXY); // default is XY-plane
     pManager.AddNumberParameter("Cell Size ( x )", "CSx", "Size of unit cell (x)", GH_ParamAccess.item, 5); // default is 5
     pManager.AddNumberParameter("Cell Size ( y )", "CSy", "Size of unit cell (y)", GH_ParamAccess.item, 5);
     pManager.AddNumberParameter("Cell Size ( z )", "CSz", "Size of unit cell (z)", GH_ParamAccess.item, 5);
     pManager.AddNumberParameter("Min Strut Length", "MinL", "Minimum allowable strut length for trimmed struts.", GH_ParamAccess.item);
     pManager.AddNumberParameter("Max Strut Length", "MaxL", "Maxmimum allowable strut length for trimmed struts.", GH_ParamAccess.item);
     pManager.AddBooleanParameter("Strict tolerance", "Strict", "Specifies if we use a strict tolerance (i.e. strictly inside design space).", GH_ParamAccess.item, false);
 }
Пример #11
0
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curves", "C", "Curves to offset", GH_ParamAccess.list);
            pManager.AddNumberParameter("Distance", "D", "Offset distance", GH_ParamAccess.item);
            pManager.AddPlaneParameter("Plane", "P", "Plane for offset operation", GH_ParamAccess.item);
            pManager.AddIntegerParameter("End Type", "E", "0 = Round\n1 = Square\n2 = Butt", GH_ParamAccess.item, 0);
            pManager.AddIntegerParameter("Join Type", "J", "0 = Round\n1 = Square\n2 = Miter", GH_ParamAccess.item, 0);
            pManager.AddNumberParameter("Miter Limit", "M", "", GH_ParamAccess.item, 10.0);
            pManager.AddNumberParameter("Arc Tolerance", "A", "The maximum distance that the flattened path will deviate from the 'true' arc", GH_ParamAccess.item, 0.01);

            pManager[2].Optional = true;
        }
Пример #12
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            // set the message for this component.
              pManager.AddCurveParameter("Polylines", "P", "A list of polylines to offset", GH_ParamAccess.list);
              pManager.AddNumberParameter("Distance", "D", "Offset Distance", GH_ParamAccess.item);
              pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));

              pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
            //public enum ClosedFilletType { Round, Square, Miter }
              pManager.AddIntegerParameter("ClosedFillet", "CF", "Closed fillet type (0 = Round, 1 = Square, 2 = Miter)", GH_ParamAccess.list, new List<int> { 1 });
              ////public enum OpenFilletType { Round, Square, Butt }
              pManager.AddIntegerParameter("OpenFillet", "OF", "Open fillet type (0 = Round, 1 = Square, 2 = Butt)", GH_ParamAccess.list, new List<int> { 1 });
              pManager.AddNumberParameter("Miter", "M", "If closed fillet type of Miter is selected: the maximum extension of a curve is Distance * Miter", GH_ParamAccess.item, 2);
        }
Пример #13
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddTextParameter("Settings Dictionary", "Settings", "Silkworm Settings Dictionary", GH_ParamAccess.list);
            pManager.AddGenericParameter("Brep or Mesh", "Solids", "A List of Solid or Enclosing Regions", GH_ParamAccess.list);

            pManager.AddPlaneParameter("Slicing Plane(s)", "Plane(s)", "Multiple or single plane to slice solid with. If you use planes that are not horizontal it is up to you to define how the printer will build these.", GH_ParamAccess.list);
            pManager.AddNumberParameter("Layer Height", "Layer", "For a single plane input. This sets the perpendicular offset to the plane, replicating the plane as far as the bounding box of the object", GH_ParamAccess.item);
            pManager.AddIntegerParameter("Thickness of Planar Shell", "Shell", "In plane shell thickness", GH_ParamAccess.item, 0);
            //pManager.Register_BooleanParam("Detect Bridges and Overhangs", "Bridges", "Only useful for horizontal slicing.  If true will generate regions for overhangs and bridges", GH_ParamAccess.item);

            //pManager[5].Optional = true;
            pManager[2].Optional = true;
            pManager[3].Optional = true;
            pManager[4].Optional = true;
        }
Пример #14
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            // Use the pManager object to register your input parameters.
            // You can often supply default values when creating parameters.
            // All parameters must have the correct access type. If you want
            // to import lists or trees of values, modify the ParamAccess flag.
            pManager.AddPlaneParameter("Plane", "P", "Base plane for spiral", GH_ParamAccess.item, Plane.WorldXY);
            pManager.AddNumberParameter("Inner Radius", "R0", "Inner radius for spiral", GH_ParamAccess.item, 1.0);
            pManager.AddNumberParameter("Outer Radius", "R1", "Outer radius for spiral", GH_ParamAccess.item, 10.0);
            pManager.AddIntegerParameter("Turns", "T", "Number of turns between radii", GH_ParamAccess.item, 10);

            // If you want to change properties of certain parameters,
            // you can use the pManager instance to access them by index:
            //pManager[0].Optional = true;
        }
Пример #15
0
        /// <summary>
        /// Registers all the output parameters for this component.
        /// </summary>
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddPointParameter("Centre Points L01", "Centers01", "Centre Points L01", GH_ParamAccess.tree); //0
            pManager.AddPointParameter("Centre Points L02", "Centers02", "Centre Points L02", GH_ParamAccess.tree); //1
            pManager.AddCurveParameter("Curves", "Curves", "Curves", GH_ParamAccess.tree); //2
            pManager.AddCurveParameter("PlateCurves", "PlateCrvs", "Curves", GH_ParamAccess.tree); //3
            pManager.AddPointParameter("Pentagon Points L01", "PentPtsL01", "planar pentagon like shape at L01", GH_ParamAccess.tree);//4
            pManager.AddPointParameter("Pentagon Points L02", "PentPtsL02", "planar pentagon like shape at L02", GH_ParamAccess.tree);//5
            pManager.AddIntegerParameter("Stripe Indentification", "StripeIdx", "Identification Numbers for each Stripe of a Component", GH_ParamAccess.tree);//6

            pManager.AddBrepParameter("Stipe Geometry", "StripeGeo", "Geometry for each Stripe of a Component", GH_ParamAccess.tree);//7
            pManager.AddPlaneParameter("Stipe Intersection Planes", "StripXPlanes", "Stipe planes for each Stripe of a Component", GH_ParamAccess.tree);//8

            //// =======================================================================================
            // Added by Gene
            pManager.AddCurveParameter("ExtendedCurves", "ExtendedCurves", "ExtendedCurves", GH_ParamAccess.tree); //9
            pManager.AddBrepParameter("SingleStripeBreps", "SingleStripeBreps", "SingleStripeBreps", GH_ParamAccess.tree); //10
            //// =======================================================================================
        }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Bending planes", "pl", "The bending planes", GH_ParamAccess.list);
     pManager.AddNumberParameter("Bending stresses", "stressB", "The bending stresses", GH_ParamAccess.list);
     pManager.AddNumberParameter("ScaleFactor", "sc", "The scale factor of the lines", GH_ParamAccess.item, 0.5);
 }
Пример #17
0
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddCurveParameter("Outlines", "O", "Outer contours of the layers", GH_ParamAccess.tree);
     pManager.AddCurveParameter("Inlines", "I", "Inner contours of the layers", GH_ParamAccess.tree);
     pManager.AddPlaneParameter("Planes", "P", "Layer planes", GH_ParamAccess.tree);
 }
Пример #18
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddLineParameter("Line", "ln", "Line segment in [m]", GH_ParamAccess.list);
     pManager.AddNumberParameter("BendingMoment", "M", "The bending moments in [kNm]", GH_ParamAccess.list);
     pManager.AddPlaneParameter("BendingPlane", "pl", "The bending planes", GH_ParamAccess.list);
 }
Пример #19
0
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddPlaneParameter("Proxies", "P", "the planes for the proxies", GH_ParamAccess.list);
     pManager.AddCurveParameter("MeshAsCurves", "MC", "the connectivity mesh as a set of curves", GH_ParamAccess.list); // TODO: replace with Plankton
 }
Пример #20
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            this.EvenOdd = this.EvenOdd;
              pManager.AddCurveParameter("A", "A", "The first polyline", GH_ParamAccess.list);
              pManager.AddCurveParameter("B", "B", "The first polyline", GH_ParamAccess.list);
              pManager[1].Optional = true;
              // ctIntersection, ctUnion, ctDifference, ctXor };
              pManager.AddIntegerParameter("BooleanType", "BT", "Type: (0: intersection, 1: union, 2: difference, 3: xor)", GH_ParamAccess.item, 0);

              pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));
              pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
        }